/* main

 */

#include "GeorgeController.h"

int 
main (int argc, char *argv[])
{
  NSString *name;
  NSAutoreleasePool *pool;
  GeorgeController *george;
  
  pool = [NSAutoreleasePool new];

  name = @"George";
  if (argc > 1)
    {
      
      if (strcmp(argv[1], "--server") == 0)
	name = @"Server";
      else
	name = [NSString stringWithCString: argv[1]];
    }

  NSLog(@"Starting george as %@\n", name);
  george = [[GeorgeController alloc] initWithName: name];

  /* Now enter the run loop waiting forever for clients */
  [[NSRunLoop currentRunLoop] run];
  
  return 0;
}
