/* All Rights reserved */

#import <AppKit/AppKit.h>
#import "DissolveView.h"

@implementation DissolveView


- (void) setDissolveValue: (id)sender
{
  dissolve = [sender floatValue];
  [self display];
}


- (void) setImageName: (id)sender
{
  int result;
  NSArray *types;
  NSOpenPanel *panel = [NSOpenPanel openPanel];

  types = [NSArray arrayWithObjects: @"tif", @"jpg", nil];
  result = [panel runModalForDirectory: nil
                  file: nil
                  types: types];
  if (result == NSOKButton)
    {
      NSImage *newImage;
      NSString *name = [panel filename];
      newImage = [[NSImage alloc] initWithContentsOfFile: name];
      AUTORELEASE(newImage);
      ASSIGN(image, newImage);
    }
  [self display];
}

- (void) drawRect: (NSRect)rect
{
  if (image == nil)
    {
      image = RETAIN([NSImage imageNamed: @"GNUstep.tiff"]);
    }
  [image dissolveToPoint: NSMakePoint(0,0) fraction: dissolve];
}


@end
