/* GeorgeController - controller for george

   Copyright (C), 2002 Adam Fedor.

   Written By: Adam Fedor
   Date: Feb 2002

 */

#include <Foundation/Foundation.h>

@protocol George <NSObject>
- (void) hereIAm: (NSDictionary *)dict;
@end

@interface GeorgeController : NSObject <George>
{
  NSPoint location;
  NSString *name;
  NSTimer *timer;
  BOOL isServer;
  id <George> server;
}

- initWithName: (NSString *)myName;
- setupConnectionAsServer: (BOOL)aServer;

@end
